Buildroot: %{_builddir}/%{name}-root
Name: pseudonymity-server
Version: 1.2.0
Release: 1%{?dist}
Summary: EMI Pseudonymity - Server-side
License: Apache 2.0
Distribution: RedHat
Group: System Environment/Daemons
URL: http://www.eu-emi.eu/
Requires: java >= 1.6, canl-java >= 1.1, pseudonymity-common >= 1.1.1, voms-api-java3 >= 3.0
BuildArch: noarch
Packager: Henri Mikkonen henri.mikkonen at hip.fi
BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : pseudonymity-server-1.2.0-1.src.tar.gz

%description
This is the server-side of the EMI Pseudonymity

%changelog
* Tue Apr 02 2013 Henri Mikkonen <henri.mikkonen at hip.fi>
- Support for NAGIOS monitoring and EMIR publishing.
* Wed Oct 31 2012 Henri Mikkonen <henri.mikkonen at hip.fi>
- Initial packaging.

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=1.2.0 -Dpackage.release=1 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644, root, root, 755)

%docdir "/usr/share/doc/pseudonymity-server-1.2.0"
"/usr/share/doc/pseudonymity-server-1.2.0/*"

%dir "/var/lib/pseudonymity/server/lib"
"/var/lib/pseudonymity/server/lib/*.jar"

%dir "/usr/share/pseudonymity/server/conf"
"/usr/share/pseudonymity/server/conf/*"

%dir "/usr/share/pseudonymity/server/sbin"
"/usr/share/pseudonymity/server/sbin/*"

%dir "/usr/share/pseudonymity/server/wars"
"/usr/share/pseudonymity/server/wars/*.war"

%dir "/etc/sysconfig"
"/etc/sysconfig/pseudonymity-service"

%dir "/var/log/pseudonymity/server"
"/var/log/pseudonymity/server"

%dir "/etc/pseudonymity"
"/etc/pseudonymity"

%attr(755, root, root) /usr/share/pseudonymity/server/sbin/pseudoctl

%post
if [ -e /usr/share/java/pseudonymity-server.jar ]
         then
	    /bin/rm -f /usr/share/java/pseudonymity-server.jar
fi
if [ -e /etc/pseudonymity/server ]
         then
	    /bin/rm -f /etc/pseudonymity/server
fi
if [ -e /usr/sbin/pseudoctl ]
         then
	    /bin/rm -f /usr/sbin/pseudoctl
fi
if [ -e /etc/rc.d/init.d/pseudonymity-service ]
         then
	    /bin/rm -f /etc/rc.d/init.d/pseudonymity-service
fi
if [ -e /usr/share/pseudonymity/server/wars/pseudo.war ]
         then
	    /bin/rm -f /usr/share/pseudonymity/server/wars/pseudo.war
fi
/bin/ln -s /var/lib/pseudonymity/server/lib/pseudonymity-server-1.1.1.jar /usr/share/java/pseudonymity-server.jar
/bin/ln -s /usr/share/pseudonymity/server/conf /etc/pseudonymity/server
/bin/ln -s /usr/share/pseudonymity/server/sbin/pseudoctl /usr/sbin/pseudoctl
/bin/ln -s /usr/share/pseudonymity/server/sbin/pseudoctl /etc/rc.d/init.d/pseudonymity-service
/bin/ln -s /usr/share/pseudonymity/server/wars/pseudonymity-server-1.1.1.war /usr/share/pseudonymity/server/wars/pseudo.war
%preun
if [ -e /usr/share/java/pseudonymity-server.jar ]
         then
	    /bin/rm -f /usr/share/java/pseudonymity-server.jar
fi
if [ -e /etc/pseudonymity/server ]
         then
	    /bin/rm -f /etc/pseudonymity/server
fi
if [ -e /usr/sbin/pseudoctl ]
         then
	    /bin/rm -f /usr/sbin/pseudoctl
fi
if [ -e /etc/rc.d/init.d/pseudonymity-service ]
         then
	    /bin/rm -f /etc/rc.d/init.d/pseudonymity-service
fi
if [ -e /usr/share/pseudonymity/server/wars/pseudo.war ]
         then
	    /bin/rm -f /usr/share/pseudonymity/server/wars/pseudo.war
fi